#!/usr/bin/env python3

# Copyright (C) 2013 Intra2net AG
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see
# <http://www.gnu.org/licenses/lgpl-3.0.html>


import unittest

from testing.test_crypto import HeaderTest, AESGCMTest
from testing.test_multivol import MultivolGnuFormatTest, MultivolPaxFormatTest
from testing.test_concat_compress import ConcatCompressTest
from testing.test_recover import \
      RecoverCorruptPayloadSingleTest \
    , RecoverCorruptPayloadMultiTest \
    , RecoverCorruptPayloadGZSingleTest \
    , RecoverCorruptPayloadGZMultiTest \
    , RecoverCorruptPayloadGZAESSingleTest \
    , RecoverCorruptPayloadGZAESMultiTest \
    , RecoverCorruptHeaderSingleTest \
    , RecoverCorruptHeaderMultiTest \
    , RecoverCorruptHeaderGZSingleTest \
    , RecoverCorruptHeaderGZMultiTest \
    , RecoverCorruptHeaderGZAESSingleTest \
    , RecoverCorruptHeaderGZAESMultiTest \
    , RecoverCorruptTruncateTest \
    , RecoverCorruptTruncateGZTest \
    , RecoverCorruptTruncateGZAESTest \
    , RescueCorruptHeaderCTSizeGZAESTest \
    , RecoverCorruptEntireHeaderSingleTest \
    , RecoverCorruptEntireHeaderMultiTest \
    , RecoverCorruptEntireHeaderGZSingleTest \
    , RecoverCorruptEntireHeaderGZMultiTest \
    , RecoverCorruptEntireHeaderGZAESSingleTest \
    , RecoverCorruptEntireHeaderGZAESMultiTest \
    , RescueCorruptLeadingGarbageSingleTest \
    , RescueCorruptLeadingGarbageMultiTest \
    , RecoverCorruptTrailingDataSingleTest \
    , RecoverCorruptTrailingDataMultiTest \
    , RecoverCorruptTrailingDataGZSingleTest \
    , RecoverCorruptTrailingDataGZMultiTest \
    , RecoverCorruptTrailingDataGZAESSingleTest \
    , RecoverCorruptTrailingDataGZAESMultiTest \
    , RecoverCorruptVolumeTest \
    , RecoverCorruptVolumeGZTest \
    , RecoverCorruptVolumeGZAESTest \
    , RecoverCorruptHoleTest \
    , RecoverCorruptHoleGZTest \
    , RecoverCorruptHoleGZAESTest \
    , RescueCorruptTruncateTest \
    , RescueCorruptTruncateGZTest \
    , RescueCorruptTruncateGZAESTest \
    , RescueCorruptHoleTest \
    , RescueCorruptHoleGZTest \
    , RescueCorruptHoleGZAESTest \
    , GenIndexIntactSingleTest \
    , GenIndexIntactSingleGZTest \
    , GenIndexIntactSingleGZAESTest \
    , GenIndexIntactMultiTest \
    , GenIndexIntactMultiGZTest \
    , GenIndexIntactMultiGZAESTest \
    , GenIndexCorruptTruncateTest \
    , GenIndexCorruptTruncateGZTest \
    , GenIndexCorruptTruncateGZAESTest \
    , GenIndexCorruptHoleTest \
    , GenIndexCorruptHoleGZTest \
    , GenIndexCorruptHoleGZAESTest \
    , GenIndexCorruptEntireHeaderTest \
    , GenIndexCorruptEntireHeaderGZTest \
    , GenIndexCorruptEntireHeaderGZAESTest

from testing.test_rescue_tar import RescueTarTest
from testing.test_encryption import EncryptionTest
from testing.test_deltatar import (DeltaTarTest, DeltaTar2Test,
    DeltaTarStreamTest, DeltaTarGzipTest, DeltaTarGzipStreamTest,
    DeltaTarGzipConcatTest, DeltaTarGzipAes128ConcatTest,
    DeltaTarAes128ConcatTest,
    DeltaTarFSGzipTest, DeltaTarFSGzipConcatTest,
    DeltaTarFSAes128ConcatTest, DeltaTarFSGzipAes128ConcatTest

    )
from testing.test_compression_level import suite

if __name__ == "__main__":
    import sys
    unittest.TextTestRunner().run(suite())
    unittest.main()

